### Enumeration

# Qmi NasNetworkSelectionRegistrationRestriction

since: 1.24

#### Declaration

    enum Qmi.NasNetworkSelectionRegistrationRestriction

#### Description [src]

Registration restriction.

Available since: 1.24

#### Members

`QMI_NAS_NETWORK_SELECTION_REGISTRATION_RESTRICTION_UNRESTRICTED`

  Device follows the normal registration process.

  - Value: `0`
  - Available since: 1.24
`QMI_NAS_NETWORK_SELECTION_REGISTRATION_RESTRICTION_CAMPED_ONLY`

  Device camps on the network according to its provisioning, but does not register.

  - Value: `1`
  - Available since: 1.24
`QMI_NAS_NETWORK_SELECTION_REGISTRATION_RESTRICTION_LIMITED`

  Device selects the network for limited service.

  - Value: `2`
  - Available since: 1.24

#### Type functions

###### qmi_nas_network_selection_registration_restriction_get_string

Gets the nickname string for the `QmiNasNetworkSelectionRegistrationRestriction` specified at `val`.

since: 1.24